@ECHO OFF

REM This assumes the "chilkat" module has already been built.
REM Chilkat comes with 2 examples: chilkat_example1 and chilkat_example2
REM This script builds chilkat_example2
SET "InitialDir=%CD%"

SET InstallDir=C:%HOMEPATH%
REM Do NOT use parentheses around the text after the "=".
SET CGO_LDFLAGS=-L%InstallDir%/chilkatsoft.com/native_c_lib -lchilkatExt-9.5.0 -lws2_32 -lstdc++

CD /d "%InstallDir%\chilkatsoft.com\chilkat_example2"

go mod init chilkatsoft.com/chilkat_example2
go mod edit -replace chilkat=../chilkat
go mod tidy

ECHO Building chilkat_example2
ECHO The 1st time building takes a long time, but subsequent builds are fast.
ECHO If "go build" fails, run "go build -x 2>buildLog.txt"
go build

CD /d %InitialDir%


